# Package org.codehaus.plexus.components.interactivity

Interface Summary
Interface | Description
--- | ---
InputHandler | Manage user input from different sources.
OutputHandler | Manage user output to different sources.
Prompter | Prompt the user for input.

Class Summary
Class | Description
--- | ---
AbstractInputHandler | Base input handler, implements a default `readMultipleLines`.
DefaultInputHandler | Default input handler, that uses the console.
DefaultOutputHandler | Default output handler, that uses the console.
DefaultPrompter | Default prompter.

Exception Summary
Exception | Description
--- | ---
PrompterException | Error while prompting.